Summary: Backup utility for op5 System and products
Name: op5backup
Version: 2015.albino.1
Release: op5.1
Group: op5/system-addons
License: op5 Software License
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: findutils, lftp, perl-Config-Simple
Requires: dialog
Obsoletes: monback


%description
op5backup is a backup utility for op5 System and products.
It currently supports System, Monitor, Statistics and Logserver
It can be executed manually or as a scheduled cronjob. The script
creates a backup of important configuration and log files and store them
locally or sends them to a backup-server using ftp.

%package test
Summary: Testpackage for %{name}
Group: op5/system-addons
Requires: %{name} = %{version}
Requires: op5-monitor-release
BuildArch: noarch
%if 0%{?suse_version}
Requires: openssh
%else
Requires: openssh-server
Requires: openssh-clients
%endif

%description test
Meta Testpackage for %{name}

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot

cp -r etc %buildroot
mkdir -p %buildroot/etc/op5-backup/modules/external
mkdir -p %buildroot%{_localstatedir}/log/op5-backup
cp -r usr %buildroot
cp -r opt %buildroot

cp -r test %buildroot/opt/op5-backup/

%files
%defattr(644, root, root,755)
%attr(755,root,root) /usr/sbin/op5-restore
%attr(755,root,root) /usr/sbin/op5-backup
/opt/op5-backup
%attr(755,root,root) /opt/op5-backup/op5-backup-modules
%attr(755,root,root) /opt/op5-backup/op5-backup-migrate1to2
%attr(755,root,root) /opt/op5-backup/migrate_smsd.conf.pl
/etc/op5-backup
%{_localstatedir}/log/op5-backup
%config(noreplace) %attr(644,root,root) /etc/op5-backup/*.conf
%exclude /opt/op5-backup/test

%files test
/opt/op5-backup/test
%attr(755,root,root) /opt/op5-backup/test/run-test.sh

%post
/opt/op5-backup/op5-backup-migrate1to2
# Cleanup some obsolete directory structure
if [ -d "/opt/op5-backup-2.0" ]; then
	rm -rf /opt/op5-backup-2.0
fi

%clean
rm -rf %buildroot

